Package org.drinkless.tdlib

# Class TdApi.ChatFolder

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatFolder

Enclosing class:
  `TdApi`

public static class TdApi.ChatFolder extends TdApi.Object
Represents a folder for user chats.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `colorId`
  The identifier of the chosen color for the chat folder icon; from -1 to 6.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `excludeArchived`
  True, if archived chats need to be excluded.
  `long[]`
  `excludedChatIds`
  The chat identifiers of always excluded chats in the folder.
  `boolean`
  `excludeMuted`
  True, if muted chats need to be excluded.
  `boolean`
  `excludeRead`
  True, if read chats need to be excluded.
  `TdApi.ChatFolderIcon`
  `icon`
  The chosen icon for the chat folder; may be null.
  `boolean`
  `includeBots`
  True, if bots need to be included.
  `boolean`
  `includeChannels`
  True, if channels need to be included.
  `boolean`
  `includeContacts`
  True, if contacts need to be included.
  `long[]`
  `includedChatIds`
  The chat identifiers of always included chats in the folder.
  `boolean`
  `includeGroups`
  True, if basic groups and supergroups need to be included.
  `boolean`
  `includeNonContacts`
  True, if non-contact users need to be included.
  `boolean`
  `isShareable`
  True, if at least one link has been created for the folder.
  `TdApi.ChatFolderName`
  `name`
  The name of the folder.
  `long[]`
  `pinnedChatIds`
  The chat identifiers of pinned chats in the folder.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatFolder()`
  Represents a folder for user chats.
  `ChatFolder(TdApi.ChatFolderName name, TdApi.ChatFolderIcon icon, int colorId, boolean isShareable, long[] pinnedChatIds, long[] includedChatIds, long[] excludedChatIds, boolean excludeMuted, boolean excludeRead, boolean excludeArchived, boolean includeContacts, boolean includeNonContacts, boolean includeBots, boolean includeGroups, boolean includeChannels)`
  Represents a folder for user chats.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public TdApi.ChatFolderName name
    The name of the folder.

  - ### icon

    @Nullable public TdApi.ChatFolderIcon icon
    The chosen icon for the chat folder; may be null. If null, use getChatFolderDefaultIconName to get default icon name for the folder.

  - ### colorId

    public int colorId
    The identifier of the chosen color for the chat folder icon; from -1 to 6. If -1, then color is disabled. Can't be changed if folder tags are disabled or the current user doesn't have Telegram Premium subscription.

  - ### isShareable

    public boolean isShareable
    True, if at least one link has been created for the folder.

  - ### pinnedChatIds

    public long[] pinnedChatIds
    The chat identifiers of pinned chats in the folder. There can be up to getOption("chat_folder_chosen_chat_count_max") pinned and always included non-secret chats and the same number of secret chats, but the limit can be increased with Telegram Premium.

  - ### includedChatIds

    public long[] includedChatIds
    The chat identifiers of always included chats in the folder. There can be up to getOption("chat_folder_chosen_chat_count_max") pinned and always included non-secret chats and the same number of secret chats, but the limit can be increased with Telegram Premium.

  - ### excludedChatIds

    public long[] excludedChatIds
    The chat identifiers of always excluded chats in the folder. There can be up to getOption("chat_folder_chosen_chat_count_max") always excluded non-secret chats and the same number of secret chats, but the limit can be increased with Telegram Premium.

  - ### excludeMuted

    public boolean excludeMuted
    True, if muted chats need to be excluded.

  - ### excludeRead

    public boolean excludeRead
    True, if read chats need to be excluded.

  - ### excludeArchived

    public boolean excludeArchived
    True, if archived chats need to be excluded.

  - ### includeContacts

    public boolean includeContacts
    True, if contacts need to be included.

  - ### includeNonContacts

    public boolean includeNonContacts
    True, if non-contact users need to be included.

  - ### includeBots

    public boolean includeBots
    True, if bots need to be included.

  - ### includeGroups

    public boolean includeGroups
    True, if basic groups and supergroups need to be included.

  - ### includeChannels

    public boolean includeChannels
    True, if channels need to be included.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatFolder

    public ChatFolder()
    Represents a folder for user chats.

  - ### ChatFolder

    public ChatFolder(TdApi.ChatFolderName name, TdApi.ChatFolderIcon icon, int colorId, boolean isShareable, long[] pinnedChatIds, long[] includedChatIds, long[] excludedChatIds, boolean excludeMuted, boolean excludeRead, boolean excludeArchived, boolean includeContacts, boolean includeNonContacts, boolean includeBots, boolean includeGroups, boolean includeChannels)
    Represents a folder for user chats.
    Parameters:
      `name` - The name of the folder.
      `icon` - The chosen icon for the chat folder; may be null. If null, use getChatFolderDefaultIconName to get default icon name for the folder.
      `colorId` - The identifier of the chosen color for the chat folder icon; from -1 to 6. If -1, then color is disabled. Can't be changed if folder tags are disabled or the current user doesn't have Telegram Premium subscription.
      `isShareable` - True, if at least one link has been created for the folder.
      `pinnedChatIds` - The chat identifiers of pinned chats in the folder. There can be up to getOption("chat_folder_chosen_chat_count_max") pinned and always included non-secret chats and the same number of secret chats, but the limit can be increased with Telegram Premium.
      `includedChatIds` - The chat identifiers of always included chats in the folder. There can be up to getOption("chat_folder_chosen_chat_count_max") pinned and always included non-secret chats and the same number of secret chats, but the limit can be increased with Telegram Premium.
      `excludedChatIds` - The chat identifiers of always excluded chats in the folder. There can be up to getOption("chat_folder_chosen_chat_count_max") always excluded non-secret chats and the same number of secret chats, but the limit can be increased with Telegram Premium.
      `excludeMuted` - True, if muted chats need to be excluded.
      `excludeRead` - True, if read chats need to be excluded.
      `excludeArchived` - True, if archived chats need to be excluded.
      `includeContacts` - True, if contacts need to be included.
      `includeNonContacts` - True, if non-contact users need to be included.
      `includeBots` - True, if bots need to be included.
      `includeGroups` - True, if basic groups and supergroups need to be included.
      `includeChannels` - True, if channels need to be included.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR